Влияет ли alsa на версию ядра?

В последнее время у меня не было ничего, кроме проблемы с настройкой звука. Полная цепочка выглядит так:

alsa (pulse plugin)-> pulseaudio (jack plugin) -> jackd -> firewire soundcard 

Это прекрасно работает, за исключением flash в Firefox и Chrome. У меня есть основания полагать, что хвост цепочки в порядке, потому что каждый другой источник звука, используя импульс или jackd, работает отлично.

На переднем конце я сделал несколько экспериментов, таких как подключение alsa непосредственно к jackd, но это также вызывает проблемы с flashplayer: воспроизведение останавливается примерно через 20 секунд и замораживает firefox.

Это заставило меня поверить, что что-то не так с материалом альсы.

Теперь у меня есть собственное ядро ​​(3.8.2), но в остальной части системы используется обычный «стабильный» материал. Может ли быть, что ядро ​​«слишком новое» для alsa libs?

Драйверы ALSA являются частью ядра и, следовательно, зависят от версии ядра.

Однако в вашем конвейере вы не используете драйверы ALSA.

Библиотека ALSA, PulseAudio и Jack – это все пользовательские программы, на которые не влияет версия ядра.

Единственными драйверами ядра являются драйверы FireWire, которые в последнее время не изменились.